Bug 254016 - Review Request: rubygem-gem_plugin - plugin system based on rubygems
Review Request: rubygem-gem_plugin - plugin system based on rubygems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On: 254093
Blocks: 254015
  Show dependency treegraph
 
Reported: 2007-08-23 13:18 EDT by Scott Seago
Modified: 2013-04-30 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 23:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lutter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Scott Seago 2007-08-23 13:18:56 EDT
Spec URL: http://people.redhat.com/sseago/fedora/spec/rubygem-gem_plugin.spec
SRPM URL: http://people.redhat.com/sseago/fedora/SRPMS/rubygem-gem_plugin-0.2.2-1.fc7.src.rpm
Description: 
A plugin system based only on rubygems that uses dependencies only
Comment 1 David Lutterkort 2007-08-23 19:37:07 EDT
OK - Package name
OK - License info is accurate
OK - License tag is correct and licenses are approved
OK - Specfile name
OK - Specfile is legible
OK - No prebuilt binaries included
OK - BuildRoot value (one of the recommended values)
OK - PreReq not used
OK - Source md5sum matches upstream
OK - No hardcoded pathnames
OK - Package owns all the files it installs
OK - Package requires create needed unowned directories
OK - Package builds successfully on i386 and x86_64 (mock)
OK - BuildRequires sufficient
OK - File permissions set properly (except for rpmlint error below)
OK - Macro usage is consistent

OK - Package is named rubygem-%{gemname}
OK - Source points to full URL of gem
OK - Package version identical with gem version
OK - Package Requires and BuildRequires rubygems
OK - Package provides rubygem(%{gemname}) = %version
OK - Package requires gem dependencies correctly
OK - %prep and %build are empty
OK - %gemdir defined properly, and gem installed into it
OK - Package owns its directories under %gemdir
OK - No arch-specific content in %{gemdir}
OK - Package is noarch

FIX - License files are not installed as %doc
      Mark %{geminstdir}/{LICENSE,COPYING} as %doc

FIX - rpmlint complains 
   E: rubygem-gem_plugin script-without-shebang
/usr/lib/ruby/gems/1.8/gems/gem_plugin-0.2.2/bin/gpgen
  
      Omitting the chmod of %{buildroot}%{geminstdir}/bin/* should do the right
thing
    
FIX - Requires: rubygem(rake) can not be met since that's not packaged

Comment 2 Scott Seago 2007-08-24 13:51:26 EDT
Fixed listed spec issues. Updated RPM is at:
 http://people.redhat.com/sseago/fedora/SRPMS/rubygem-gem_plugin-0.2.2-2.fc7.src.rpm

rubygem(rake) has been submitted for approval and is now listed as a dependency
for this request
Comment 3 David Lutterkort 2007-08-27 14:41:57 EDT
Excellent.

APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.
Comment 4 Scott Seago 2007-08-27 17:33:54 EDT
New Package CVS Request
=======================
Package Name: rubygem-gem_plugin
Short Description: A plugin system based only on rubygems that uses dependencies
only
Owners: sseago
Branches: F-7, EL-5
InitialCC: 
Cvsextras Commits:
Comment 5 Kevin Fenzi 2007-08-28 00:36:47 EDT
cvs done.
Comment 6 Jeroen van Meeuwen 2008-10-16 19:00:56 EDT
Package Change Request
======================
Package Name: rubygem-gem_plugin
New Branches: EL-4
Owners: sseago, kanarip

Approved by sseago in private email
Comment 7 Kevin Fenzi 2008-10-19 19:01:21 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.